Contact
Authorization
apiKey api-key<token>
In: query
Query Parameters
skipValidations?string
Allows skipping required field validations.
Request Body
text/plain
body*string
Response Body
application/json; charset=utf-8
curl -X POST "https://api.getventia.com/api/v1.0/contact?skipValidations=true" \ -H "Content-Type: text/plain" \ -d '{ "firstName": "Agustin", "lastName": "Suarez", "emails": ["agustin@example.com"], "phones": ["+59897444666"], "detail": "", "origin": "store" } }'{
"company": "609b3cff61ffd5f1e446d234",
"firstName": "Agustin",
"lastName": "Suarez",
"origin": "local",
"originText": "Local",
"phones": [
"+59894444666"
],
"agent": "609d8512ee84d2388bde2353",
"agentFullName": "Agent Name",
"firstAgent": "609d8512ee84d2388bde2353",
"firstAgentFullName": "Agent Name",
"agentAssigned": "2023-05-18T17:55:17.559Z",
"archivingReason": "",
"archivingReasonText": "",
"status": "new",
"attention": "not_actions",
"emails": [
"agustin@example.com"
],
"detail": "",
"stats": {
"visits": 0
},
"createdCoords": {
"active": false
},
"contactLocation": {
"location": false
},
"databaseUploded": false,
"channels": [],
"assignedGroups": [],
"_id": "64666685696358053f46c33a",
"lastInteraction": "2023-05-18T17:55:17.560Z",
"createdAt": "2023-05-18T17:55:17.561Z",
"updatedAt": "2023-05-18T17:55:17.561Z",
"__v": 0
}Update a company
Updates a company (company group). Only the sent fields are modified. Keys sent inside `additionalData` are merged with the stored ones, so the additional fields that are not sent keep their value.
Create lead
### Add Lead This endpoint allows you to create campaing leads. Campaing leads are created as contacts if they dosen't exist on the database, but if it exists, ventia notifiys the agent owner of the contact with a note.